@import url('https://fonts.googleapis.com/css2?family=Ubuntu+Sans:ital,wght@0,100..800;1,100..800&display=swap');

body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow-x: hidden;
    background: #121212;
    color: white;
    font-family: "Ubuntu Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    font-variation-settings:
        "wdth" 100;
}
#particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    background: #121212;
}
.content {
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    flex-direction: column;
}
.profile-pic {
    width: 175px;
    height: 175px;
    border-radius: 50%;
    background: url('https://ryan.bet/9swv6l.png');
    background-size: cover;
    box-shadow: 0 0 10px 2px #4CAF50;
}

.icon-container {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}
.icon-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 25px;
    text-decoration: none;
    color: white;
}
.icon {
    color: #4CAF50;
    font-size: 48px;
    transition: transform 0.3s ease;
}
.icon:hover {
    transform: scale(1.1);
}
.icon-text {
    margin-top: 8px;
    font-size: 24px;
}

.modal {
    display: none;
    position: fixed;
    z-index: 2;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

.modal-content {
    background-color: #333;
    color: white;
    margin: 10% auto;
    padding: 20px;
    border: 1px solid #555;
    width: 50%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

.tool-link {
    display: inline-block;
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    margin-top: 10px;
    text-align: center;
    text-decoration: none;
    border-radius: 4px;
    transition: background-color 0.3s;
}

#toolDescription {
    color: #FFF;
    margin-top: 20px;
    padding: 10px;
    background-color: #111; 
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.3); 
    font-size: 16px;
    line-height: 1.6;
}


.tool-link:hover {
    background-color: #367c39; 
}

.tool-list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
    gap: 10px;
    margin: 20px 0;
}

.tool-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    color: inherit;
}

.tool-item .icon {
    margin-bottom: 5px;
    font-size: 24px;
}

.tool-name {
    font-size: 16px;
    text-align: center;
}


.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
